Subject: Re: Push from specific directory.

From: Neal Kreitzinger <[email-masked]>
Date: Thu, 22 Mar 2012 20:29:06 -0500

On 3/22/2012 5:57 PM, Jeff King wrote:
> On Thu, Mar 22, 2012 at 06:04:20PM -0400, Anjib Mulepati wrote:
>
>> 2. Can I have a folder structure like (a) /Hello-World (b)
>> /Hello-World/gitVersion/GitVersionFile.txt and (c)
>> /Hello-World/nonGitVersion/NonGitVersionFile.txt where I give git
>> init for (a) and (c). If Itry to push only from (c) is that valid?
>
> You have a repository inside a repository. So when you are in (c),
> you will be pushing the commits from (c), not from (a). I'm not
> really sure what you are trying to accomplish with that.
>
It almost looks like he might be tracking his git installation with git
by tracking the "gitVersion" dir, and the "NonGitVersion" dir is really 
the "normal" git repo containing a dev project.  I'm probably making a 
misinterpretation of the wording and "gitVersion" means "stuff versioned 
by git", but then again "NonGitVersion" is also supposedly being 
versioned by git.  Just curious if he's attempting to use his git 
installation to track itself which would be interesting also.

v/r,
neal